diff -udNr xdvik//READMEs/README.tasai-ussy pxdvik//READMEs/README.tasai-ussy
--- xdvik//READMEs/README.tasai-ussy	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/README.tasai-ussy	2010-07-25 14:56:37.614074299 +0900
@@ -0,0 +1,312 @@
+
+               ** pagenumber-patch for Xdvi PL17 + etc. **
+
+○はじめに
+  xdvi-17.pagenumber.patchは、"xdvi-17+miyu-patch for xdvi PL17"をベースにした
+パッチである、"xdvi-17+markpage+toc+printdvi"に対するパッチです。
+
+○追加/変更機能
+  本パッチをあてることにより以下の機能が追加/変更されます。
+
+  1) 実際のPage番号によるTOCリスト
+    小野＠早稲田さんらによる xdvi-17+markpage+toc+printdvi パッチでは、ページ
+  番号リスト(toc)を表示する機能が追加されましたが、tocに表示されるページ番号は
+  実際のページ番号ではなく先頭からの枚数となっていました。
+    本パッチでは、実際のページ番号が表示されるように変更しました。
+
+  2) ページ移動によるtocの自動アップデート
+    'g'キーなどによるページ移動に伴って、tocのスクロールバー移動を自動的に行う
+  ように変更しました。いろいろと細工しましたので、実際に使ってみてください:-)
+
+  3) 一部キー動作の変更
+    'g'キーによる指定枚数への移動を、実際のページ番号への移動としました。これ
+  にともない、'P'キーによる絶対ページ番号を指定する機能を削除し、従来の'g'キー
+  の機能を割り当てました。
+
+○インストールについて
+  本パッチを使用するにあたって以下のファイルが必要です。
+
+        1) xdvi-17.tar.gz
+        2) xdvi-17miyu.patch-beta6
+        3) xdvi-17miyu.beta6-beta.pre7(fj.sources.d)
+        4) xdvi-pl17+markpage+toc+printdvi(fj.sources,fj.comp.texhax)
+        5) 同fix-1(fj.sources.d,fj.comp.texhax)
+        6) 同fix-2(fj.sources,fj.comp.texhax)
+        7) xdvi-17.tasai-ussy.patch(fj.sources.d,fj.comp.texhax)
+           Message-ID: <USSY.93Nov12211358@ayame.int.titech.ac.jp>
+        8) xdvi-17.pagenumber.patch(fj.sources.d)
+           Message-ID: <USSY.93Nov15175604@kisaragi.int.titech.ac.jp>
+
+  (注意)
+    7)の一部(expertモード関係)は、すでに6)で修正されていますのでrejectされても
+  問題ありません。本パッチは8)に対する修正パッチです。
+
+  1)のを展開し 2)〜8)までのパッチをあてたソースがあるディレクトリで、
+        % patch -p2 < xdvi-17.pagenumber-fix.patch
+としてパッチをあててください。
+
+○使用上の注意
+  本パッチで追加された機能は、Use_PAGENUM を Imakefile 中で define/undefine す
+ることによって使用する/しないを切替えることが可能です。
+  また、xdvi-pl17+markpage+toc+printdviにおいて Use_TOC を define していないと
+意味のないものであることに注意してください。Use_TOC を定義せずに Use_PAGENUM 
+を定義した場合、動作の保証はできません。
+
+○変更履歴
+
+Nov.12, 1993
+    Message-ID: <USSY.93Nov12231403@ayame.int.titech.ac.jp>
+    --
+    涙のファーストリリース(T_T)
+    * tocのページ番号を実際のページ番号となるようにした。
+
+Nov.15, 1993
+    Message-ID: <USSY.93Nov15175604@kisaragi.int.titech.ac.jp>
+    --
+    * Imakefileでの些細な間違いを変更
+
+Nov.18, 1993
+    --
+    正式版リリース
+    * 一部キーの動作を変更(追加機能とのバッティングを防ぐため)。
+    * ページ移動後のtoc自動アップデート機能を追加した。
+
+From ussy@int.titech.ac.jp Mon Dec 13 18:58:45 1993
+Newsgroups: fj.comp.texhax,fj.sources.d
+Path: hiromi.fuka.info.waseda.ac.jp!waseda-mail!wnoc-tyo-news!nirvana.cs.titech!cs.titech!is.titech!sys.titech.ac.jp!int.titech.ac.jp!ussy
+From: ussy@int.titech.ac.jp (Takuya Harakawa)
+Subject: BugPatch for Xdvi-17.miyu.path(beta.7)
+Content-Type: text/plain; charset=ISO-2022-JP
+Message-ID: <USSY.93Nov12211358@ayame.int.titech.ac.jp>
+Followup-To: fj.sources.d
+Sender: news@int.titech.ac.jp
+Organization: Tokyo Institute of Tech., Dept. of Intelligence Science, Japan
+Mime-Version: 1.0
+Distribution: fj
+Date: 12 Nov 1993 21:13:58 +0900
+Lines: 188
+Xref: hiromi.fuka.info.waseda.ac.jp fj.comp.texhax:3143 fj.sources.d:1547
+
+
+  はらかわ＠東工大です。
+  fj.comp.texhaxとfj.sources.dのクロスポストです。
+
+  xdvi-17+miyu.patch(beta.7)+markpage+toc+printdvi について、細かな
+バグフィックスを行いました。
+
+  修正した点は以下のとおりです(括弧内は修正した人)。
+
+・ExpertモードでページのMark/UnMarkを行うと死ぬ
+(tasai@int.titech.ac.jp: ASAI Toru)
+
+  ページ番号を表示するList Widgetが作成されていないのに、これをアップ
+デートしようとしているのが原因。アップデート処理をモードに応じてマスク
+するようにした。
+
+・マウスの中/右ボタンによるページ番号リストの選択処理 
+(ussy@int.titech.ac.jp: HARAKAWA Takuya)
+
+  リストの選択位置を単純にマウスのY座標を15で割って計算していたために、
+ページ数が多くなるとインデックスのずれが激しくなってしまう。List Widget
+の内部を参照して、正確なインデックス番号を得られるようにした。
+
+  修正パッチは shell archive してあります。
+  xdvi-17+miyu.patch(beta.7)+markpage+toc+printdvi のソースが展開して
+あるディレクトリで
+             % patch -p2 < xdvi-17.tasai-ussy.patch
+としてパッチをあててください。
+
+From ussy@int.titech.ac.jp Mon Dec 13 18:58:50 1993
+Newsgroups: fj.sources.d,fj.comp.texhax
+Path: hiromi.fuka.info.waseda.ac.jp!waseda-mail!wnoc-tyo-news!cs.titech!is.titech!sys.titech.ac.jp!int.titech.ac.jp!ussy
+From: ussy@int.titech.ac.jp (Takuya Harakawa)
+Subject: Re: BugPatch for Xdvi-17.miyu.path(beta.7)
+In-Reply-To: ussy@int.titech.ac.jp's message of Fri, 12 Nov 1993 12:13:58 GMT
+Content-Type: text/plain; charset=ISO-2022-JP
+Message-ID: <USSY.93Nov15152917@kisaragi.int.titech.ac.jp>
+Followup-To: fj.sources.d
+Sender: news@int.titech.ac.jp
+Organization: Tokyo Institute of Tech., Dept. of Intelligence Science, Japan
+References: <USSY.93Nov12211358@ayame.int.titech.ac.jp>
+Mime-Version: 1.0
+Distribution: fj
+Date: 15 Nov 1993 15:29:16 +0900
+Lines: 26
+Xref: hiromi.fuka.info.waseda.ac.jp fj.sources.d:1548 fj.comp.texhax:3144
+
+
+  はらかわ＠東工大です。
+
+>  はらかわ＠東工大です。
+>  fj.comp.texhaxとfj.sources.dのクロスポストです。
+>
+>  xdvi-17+miyu.patch(beta.7)+markpage+toc+printdvi について、細かな
+>バグフィックスを行いました。
+
+  自己フォローです(^^;
+  パッチを当てたのは...
+
+        xdvi-17+miyu.patch(beta.7)+markpage+toc+printdvi
+
+ではなくて
+
+        xdvi-17+miyu.patch(beta.pre7)+markpage+toc+printdvi
+                                ~~~
+でした。
+  バグフィックスも、改造パッチでも間違えてしまいました。:-(
+  お間違えのないように...
+
+--
+USSY / はらかわ たくや       | Tokyo Institute of Tech.,
+Email: ussy@int.titech.ac.jp | Dept. of Intelligence Science, Japan
+       USSY@Pekin etc...     | Hara Lab.(R1-520) ext.2473 in Nagatsuta
+
+From ussy@int.titech.ac.jp Mon Dec 13 18:59:08 1993
+Newsgroups: fj.sources.d
+Path: hiromi.fuka.info.waseda.ac.jp!waseda-mail!wnoc-tyo-news!cs.titech!is.titech!sys.titech.ac.jp!int.titech.ac.jp!ussy
+From: ussy@int.titech.ac.jp (Takuya Harakawa)
+Subject: UnOfficial Patch for Xdvi-17.miyu.patch(beta.7)
+Content-Type: text/plain; charset=ISO-2022-JP
+Message-ID: <USSY.93Nov12231403@ayame.int.titech.ac.jp>
+Followup-To: fj.sources.d
+Sender: news@int.titech.ac.jp
+Organization: Tokyo Institute of Tech., Dept. of Intelligence Science, Japan
+Mime-Version: 1.0
+Distribution: fj
+Date: 12 Nov 1993 23:14:03 +0900
+Lines: 242
+
+
+  はらかわ＠東工大です
+  xdvi-17+miyu.patch(beta.7)+markpage+toc+printdvi+tasai-ussy に対す
+る改造パッチです。
+
+  画面の右端に表示されているリストは、ページ番号ではなく先頭からの枚
+数が表示されているために、TOCを見ながら目的のページを参照するといっ
+たことができません。
+  これを解消するために、.dviファイルに記述されているページ番号を参照
+してリスト表示するように変更しました(ページの飛び越しなどにも対応で
+きます)。目次のページ番号の関係上、リストに表示される番号が前後する
+ことがありますが御了承ください:-<
+
+[注意] 'g'キーによるページ選択は以前のまま先頭からの枚数となっています。
+
+  改造パッチは shell archive してあります。
+  xdvi-17+miyu.patch(beta.7)+markpage+toc+printdvi+tasai-ussy のソー
+スが展開してあるディレクトリで
+             % patch -p2 < xdvi-17.page.patch
+としてパッチをあててください。
+
+From ussy@int.titech.ac.jp Mon Dec 13 18:59:28 1993
+Newsgroups: fj.sources.d
+Path: hiromi.fuka.info.waseda.ac.jp!waseda-mail!wnoc-tyo-news!cs.titech!is.titech!sys.titech.ac.jp!int.titech.ac.jp!ussy
+From: ussy@int.titech.ac.jp (Takuya Harakawa)
+Subject: an unofficial patch for Xdvi-17.miyu.patch(beta.pre7)
+Content-Type: text/plain; charset=ISO-2022-JP
+Message-ID: <USSY.93Nov15175604@kisaragi.int.titech.ac.jp>
+Sender: news@int.titech.ac.jp
+Organization: Tokyo Institute of Tech., Dept. of Intelligence Science, Japan
+Mime-Version: 1.0
+Distribution: fj
+Date: 15 Nov 1993 17:56:04 +0900
+Lines: 251
+
+
+  はらかわ＠東工大です
+
+  先日ポストした Xdvi-17 改造パッチに間違いが発見されましたので、再
+度ポストします(^^;
+  先日のパッチは破棄して、今回のパッチをあて直してください。
+ (変更点は Imakefile の一部です... Thanks to miura@cs.titech.ac.jp)
+
+---
+
+  画面の右端に表示されているリストは、ページ番号ではなく先頭からの枚
+数が表示されているために、TOCを見ながら目的のページを参照するといっ
+たことができません。
+  これを解消するために、.dviファイルに記述されているページ番号を参照
+してリスト表示するように変更しました(ページの飛び越しなどにも対応で
+きます)。目次のページ番号の関係上、リストに表示される番号が前後する
+ことがありますが御了承ください:-<
+
+[注意] 'g'キーによるページ選択は以前のまま先頭からの枚数となっています。
+
+  改造パッチは shell archive してあります。
+  xdvi-17+miyu.patch(beta.pre7)+markpage+toc+printdvi+tasai-ussy
+のソースが展開してあるディレクトリで
+             % patch -p2 < xdvi-17.page.patch
+としてパッチをあててください。
+
+From ussy@int.titech.ac.jp Mon Dec 13 18:59:32 1993
+Newsgroups: fj.sources.d
+Path: hiromi.fuka.info.waseda.ac.jp!waseda-mail!wnoc-tyo-news!cs.titech!is.titech!sys.titech.ac.jp!int.titech.ac.jp!ussy
+From: ussy@int.titech.ac.jp (Takuya Harakawa)
+Subject: Re: an unofficial patch for Xdvi-17.miyu.patch(beta.pre7)
+In-Reply-To: ussy@int.titech.ac.jp's message of Mon, 15 Nov 1993 08:56:04 GMT
+Content-Type: text/plain; charset=ISO-2022-JP
+Message-ID: <USSY.93Nov15202826@kisaragi.int.titech.ac.jp>
+Lines: 31
+Sender: news@int.titech.ac.jp
+Fcc: |/usr/local/lib/mh/rcvstore +AuthorCopy
+Organization: Tokyo Institute of Tech., Dept. of Intelligence Science, Japan
+References: <USSY.93Nov15175604@kisaragi.int.titech.ac.jp>
+Mime-Version: 1.0
+Distribution: fj
+Date: 15 Nov 1993 20:28:26 +0900
+
+
+  またまた はらかわ＠東工大です
+
+>  先日ポストした Xdvi-17 改造パッチに間違いが発見されましたので、再
+>度ポストします(^^;
+>  先日のパッチは破棄して、今回のパッチをあて直してください。
+> (変更点は Imakefile の一部です... Thanks to miura@cs.titech.ac.jp)
+
+  とは書いたものの、すでにパッチを当ててしまった方がいらっしゃるよう
+ですので、そのような方のために変更部分だけポストします。
+
+  実際に変更した部分は Imakefile の 部分で...
+
+    #define Use_PAGENUM
+    PAGE_DEFS=-DPAGENUM
+    #else
+    ...
+
+となっている部分を、
+
+    #ifdef Use_PAGENUM	         <-- 変更点
+    PAGE_DEFS=-DPAGENUM
+    #else
+    ...
+
+としただけです(情けないこってす T_T)。
+
+--
+USSY / はらかわ たくや       | Tokyo Institute of Tech.,
+Email: ussy@int.titech.ac.jp | Dept. of Intelligence Science, Japan
+       USSY@Pekin etc...     | Hara Lab.(R1-520) ext.2473 in Nagatsuta
+
+From ussy@int.titech.ac.jp Mon Dec 13 18:59:55 1993
+Newsgroups: fj.comp.texhax,fj.sources.d
+Path: hiromi.fuka.info.waseda.ac.jp!waseda-mail!wnoc-tyo-news!cs.titech!is.titech!sys.titech.ac.jp!int.titech.ac.jp!ussy
+From: ussy@int.titech.ac.jp (Takuya Harakawa)
+Subject: Xdvi-17 pagenumber patch fix
+Content-Type: text/plain; charset=ISO-2022-JP
+Message-ID: <USSY.93Nov18065838@ayame.int.titech.ac.jp>
+Followup-To: fj.sources.d
+Lines: 469
+Sender: news@int.titech.ac.jp
+Fcc: |/usr/local/lib/mh/rcvstore +AuthorCopy
+Organization: Tokyo Institute of Tech., Dept. of Intelligence Science, Japan
+Mime-Version: 1.0
+Distribution: fj
+Date: 18 Nov 1993 06:58:38 +0900
+Xref: hiromi.fuka.info.waseda.ac.jp fj.comp.texhax:3157 fj.sources.d:1556
+
+
+  はらかわ＠東工大です
+
+  xdvi-17+miyu-patcj+markpage+toc+printdvi+tasai-ussy+pagenumber(^^;
+のfix & version upパッチをお送りします。
+
+  前回 流したものにさらにパッチをあててください。
diff -udNr xdvik//READMEs/README.vf2ft pxdvik//READMEs/README.vf2ft
--- xdvik//READMEs/README.vf2ft	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/README.vf2ft	2010-07-25 14:56:37.614074299 +0900
@@ -0,0 +1,100 @@
+＊ xdvik-22.40l-j1.09-vf2ft.patch について
+
+http://www.matsusaka-u.ac.jp/~okumura/texfaq/qa/6610.html で提案されて
+いた、VFlibを使わずにfreetype2のみでxdviの日本語化を実現する方策を、と
+りあえずパッチ形式にし、また、configure時にその方策を選択できるように
+しました。
+
+	$ ./configure --with-vflib=vf2ft
+
+のようにすると、VFlib APIをFreetypeのもので置き換えます。それ以外であ
+れば、これまでのxdvi-jpパッチと同等となります。
+
+縦書き等、多々問題があると思いますが、VFlib無しでfreetype2を使えるよう
+にという試みは、選択肢が増えるという意味でも意義があるものと思います。
+
+以下、この試みの初出と思われるウェブサイトの全文引用およびtarball中の
+memoを転載させていただきます。但し、memo中で書かれている手順1,2,3の記
+述は本パッチでは該当しないので読み飛ばして構わないでしょう。
+
+
+○ xdvi-ft2.tar.gz について
+〜ここから〜
+URL: http://www.matsusaka-u.ac.jp/~okumura/texfaq/qa/6610.html
+Title: xdvi using freetype
+名前: otofuji
+日時: 2002-02-15 22:57:22
+
+乙藤@東北学院大学と申します.
+
+ばかばかしいといってしまえばそれまでですが, xdviの中で利用されている
+VFlibの関数をFreetypeの関数で置き換えるためのものを作って
+
+ftp://ftp.cs.tohoku-gakuin.ac.jp/pub/TeX/TG-Local-TeX/xdvi-ft2.tar.gz
+
+に置いておきました. パッチにもなっていませんが...
+
+xdviの利用しているフォントファイルがttfファイルかotfファイルを使って
+いる場合だけ利用できます.
+
+メリットは
+o XFree86にFreetypeが付いている状況なので, VFlibを用いずにX Window環境
+  だけで利用できる
+o FreetypeではOpentypeもサポートされているので, そのままでOpentypeが利
+  用できる
+くらいでしょうか
+
+P.S. Ghostscriptもこれができると面白いのですが.
+〜ここまで〜
+
+
+○ xdvi-ft2.tar.gz内のmemo
+〜ここから〜
+xdvikの中でFreetypeを使うことを考えた試作品です. vf2ft-utils.cだけが入っ
+ています. VFlibのコードを参考に利用させてもらっています.
+
+VFlib2を使う場合が多かったのですが, XFree86に標準でfreetypeが入ってき
+たので, なるべくX windowシステムだけで利用できないかと思って作ったもの
+です. freetypeではOpentypeフォントも利用できるので, 面白いのかもしれま
+せん.
+
+縦書きの確認はしていません.
+
+1. texk/xdvikの下に, vf2ft-utils.cを移動させ,
+   cc -c -O2 -I/usr/X11/include/freetype2 vf2ft-utils.c
+   を実行しておく.
+
+2. configure 実行後, make の前にtexk/xdvikのMakefileを修正する.
+  2.1. objects の最後に vf2ft-utils.o を追加する.
+  2.2 -lVFlib の部分を -lfreetype に変更する.
+
+3. 普通に "make", "make install"する.
+   make時に VF.h がないと文句をいうかもしれません. include 行をコメン
+   トアウトして, で大丈夫だと思います(未確認)
+
+4. vfontmapを以下のように修正する.
+
+	min	明朝体のttfファイル   or otfファイル
+	goth	ゴシックのttfファイル or otfファイル
+----
+Edition Record:  020215, 020220
+〜ここまで〜
+
+○ vfontmapの記述例
+
+Win上のUNIX的環境であるCygwin/XFree86での例となりますが、例えば
+/usr/local/share/texmf/xdvi/vfontmap に、
+
+〜ここから〜
+min	/cygdrive/c/WINDOWS/Fonts/msmincho.ttc
+goth	/cygdrive/c/WINDOWS/Fonts/msgothic.ttc
+〜ここまで〜
+
+のように記述することでASCII pTeXの日本語dviが扱えるようになります。他
+のフォント及びマッピングについては、これを参考にxdvi-jpパッチのドキュ
+メント類を参考にしてください。
+
+また、提案tarball中のsuppl.tarに入っていた、コード変換に関するサンプル
+get-mapping.c、フォントマッピングテーブルに関するサンプル
+get-origfontfile.cについては、このパッチでは反映されていませんが、検討
+すべき問題提起がされていると思います。(山田 泰司<taiji@aihara.co.jp>)
diff -udNr xdvik//READMEs/README.xdvik-22.40y1-j1.21 pxdvik//READMEs/README.xdvik-22.40y1-j1.21
--- xdvik//READMEs/README.xdvik-22.40y1-j1.21	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/README.xdvik-22.40y1-j1.21	2010-07-25 14:56:37.614074299 +0900
@@ -0,0 +1,239 @@
+
+		<< xdvik-22.40y1-j1.21 patch について >>
+
+							2004年2月25日
+
+
+[1] xdvik-22.40y1-j1.21 patch とは
+
+  xdvik-22.40y1 に対する日本語化および機能拡張パッチです。このパッチは
+既に出回っているいくつかの日本語パッチに修正や改変を加えたものです。
+パッチの変更履歴は CHANGES.xdvik-jp.html を御覧下さい。
+
+
+[2] コンパイル・インストール
+
+  とりあえず、xdvik-22.40y1.tar.gz と xdvik-22.40y1-j1.21.patch.gz が同じ
+ディレクトリにあるとして…。
+
+	% gzip -dc xdvik-22.40y1.tar.gz | tar xf -
+	% cd xdvik-22.40y1
+	% gzip -dc ../xdvik-22.40y1-j1.21.patch.gz | patch -p1 -s
+	% ./configure
+	% make
+	% cd texk/xdvik  ←これが重要
+	% su
+	# make install
+
+で、デフォルトの設定でインストールされます。
+
+  texk/xdvik に移動せずに make install すると、kpathsea ライブラリもイ
+ンストールしてくれますが、texmf/web2c/texmf.cnf も上書きされてしまうの
+で、通常だと ptex が動かなくなってしまいます。texmf.cnf のバックアップ
+をとっておいて書き戻して下さい。
+
+  また、デフォルトでは -g オプション付で make されると思いますが、これだと
+やたらと実行ファイルが大きくなりますので、configure 実行時に
+
+	% env CFLAGS="-O2" ./configure
+
+等を指定した方がいいかもしれません。あるいはインストール後に
+
+	# strip /usr/local/bin/xdvi.bin
+
+を実行しても同じことです。
+
+
+  設定変更は configure スクリプトのオプションで指定します。
+
+★デフォルトの紙のサイズ
+
+   --enable-a4			A4 (デフォルト)
+   --disable-a4			US letter
+
+  オリジナルの xdvik では US letter の方がデフォルトでしたが、日本語
+パッチを当てると A4 の方がデフォルトになります。
+
+
+★シェアドライブラリ
+
+  --enable-static	kpathsea ライブラリはスタティックリンク (デフォルト)
+  --enable-shared	kpathsea ライブラリはダイナミックリンク
+
+
+★明朝体とゴシック体以外の日本語書体の使用
+
+   --with-vfontmap			多書体を使う。(デフォルト)
+   --without-vfontmap			多書体を使わない。
+
+  vfontmap のデフォルトは、/usr/local/share/texmf/xdvi/vfontmap です。
+変更する場合は後述の --enable-xdvietcdir で指定します。--with-vfontmap
+の場合、この指定パスにファイルが存在しない場合は、サンプルがインストール
+されます。(既存の場合、上書きはされません。) vfontmap には
+
+"tfm name" "/etc/vfontcap entry" "{,tate}"
+
+あるいは
+
+"/font/file/name"
+   "tfm name1" "{,unicode,adobejapan,cidv}"
+   "tfm name2" "{,unicode,adobejapan,cidv}"
+
+のように記述します。後者の書き方では、同じフォントファイルを指す場合、
+tfm の名前だけを繰り返して書けばよいということです。この場合の tfm 名
+の前にはスペースまたはタブ文字を入れて下さい。
+
+★日本語フォントの指定
+
+   --with-vflib=yes	ASCII, NTT 共に VFlib を使う。(デフォルト)
+   --with-vflib=vf2ft	ASCII, NTT 共に FreeType を使う。
+   --with-vflib=nontt	ASCII で VFlib を、NTT で PK フォントを使う。
+   --without-vflib	ASCII, NTT 共に PK フォントを使う。
+
+  --without-vflib を指定した場合は自動的に --without-vfontmap になります。
+
+★画面移動キーの変更
+
+   --enable-vikey		vi 風の h,j,k,l を使います。 (デフォルト)
+   --disable-vikey		xdvi 標準の l,d,u,r を使います。
+
+
+★パネルのサイズ指定
+
+   --enable-smallpanel		パネルサイズを小さめにします。 (デフォルト)
+				実行時オプション +smallpanel で標準サイズに
+				切替えることもできます。
+   --disable-smallpanel		xdvi 標準サイズにします。
+				実行時オプション -smallpanel も無効です。
+
+
+★拡大縮小ボタン
+
+   --enable-zoombutton		拡大ボタンと縮小ボタンを付けます (デフォルト)
+   --disable-zoombutton		xdvi 標準の固定倍率への変更ボタンを付けます
+
+
+★Shrink サイズの指定
+
+   --enable-shrink=6		デフォルトの Shrink サイズを指定します。
+
+  指定しない時のデフォルトは 10 になります。数字が大きいほど表示は小さく
+なります。
+
+
+★ベース DPI の指定
+
+   --enable-bdpi=300		PK フォントのベース DPI を指定します。
+
+  指定しない時のデフォルトは 600dpi です。
+
+
+★xdvi からの印刷コマンドを指定します。
+
+   --enable-xdviprint	新しい DVISEL 機能を使って印刷します (デフォルト)
+   --disable-xdviprint	従来の PRINTDVI 機能を使って印刷します
+
+  DVISEL 機能と PRINTDVI 機能の違いは…
+
+  DVISEL
+      xdvi で指定ページの DVI を切り出し、外部コマンドにパイプで引き渡し
+      ます。外部コマンドはパイプ(標準入力)から DVI を受け取りプリントします。
+      通常、この外部コマンドには内部で dvips/dvi2ps/jdvi2kps 等を呼び出す
+      スクリプトを指定します。READMEs/README.xdvi20c-j1.0+hal2+dvisel も
+      参照して下さい。
+
+  PRINTDVI
+      xdvi で予め指定されてる印刷コマンド(%P %R など)に従い、印刷する
+      ページ等を引数指定して外部コマンド(通常 dviselect)を呼び出して、
+      指定ページを切り出し、その後プリンタドライバに合わせて紙のサイズ
+      を指定する引数の変更等をし、その引数を指定して、プリンタドライバー
+      等を動かします。READMEs/README.markpage+toc+printdvi+paper も
+      参照して下さい。
+
+  なお、DVISEL 機能を使う場合は、指定する外部コマンドを
+
+   --enable-xdviprint=/usr/libexec/xdviprint
+
+のように変更できます。デフォルトは /usr/local/bin/xdviprint です。
+指定は絶対パスで行ないます。(実行時にリソース等でも変更できます)
+
+  また、PRINTDVI 機能を使う場合は texk/xdvik/xdvi-config.h の
+PRCMDALL, PRCMDCUR, PRCMDMRK, PRCMDRGN, PRCMDLST, TEMPDIR, DVIFILTERCMD,
+FILTOPTTBLFILE の各マクロを自分の環境に合わせて変更して下さい。configure
+では変更できません。
+
+
+★印刷に使う DVI→PS フィルタ
+
+   --with-dvifilter=dvips	dvips (デフォルト)
+   --with-dvifilter=dvi2ps	dvi2ps
+   --with-dvifilter=jdvi2kps	jdvi2kps
+   --without-dvifilter		xdvi から印刷機能をなくします。
+
+  この指定は、上述オプションで DVISEL と PRINTDVI のどちらを指定したか
+で意味が変わります。
+
+  DVISEL の場合、この指定に合わせたサンプルスクリプトを上述の
+ --enable-xdviprintで指定したパスにインストールします。既にインストール
+されてる場合は上書きしませんので、この指定は意味をしません。DVISEL は
+xdvi バイナリ内にはプリンタドライバの違いは含めず、全て外部スクリプトで
+違いを吸収します。スクリプトなので、インストール後でも変更可能です。
+
+  PRINTDVI の場合、この設定を xdvi バイナリ内に埋め込み、xdvi はデフォ
+ルトでここで指定したプログラムを起動するようになります。(実行時にリソース
+等でも変更可能)
+
+  また、--without-dvifilter を指定した場合は、DVISEL 機能も PRINTDVI 機能
+も使いません。
+
+
+★設定ファイル等のインストールディレクトリ
+
+   --enable-xdvietcdir=/etc/tex		設定ファイル等のディレクトリ指定
+
+  vfontmap や xdvipaper.dvips 等のオプションテーブルがインストールされる
+ディレクトリを指定します。デフォルトは /usr/local/share/texmf/xdvi です。
+
+
+
+【特殊な設定をする場合】
+
+  これら以外の設定をする場合は、texk/xdvik/ 以下の Makefile や xdvi-config.h
+を変更して下さい。
+
+  また、「うちはまだ TeX 2.99 (ASCII jtex-1.7 等) を使ってて kpathsea
+なんてないよ」という方は、是非とも TeX 3.x (ASCII pTeX 2.x 等)のインス
+トールをお勧めしますが、一応 kpathsea をインストールせずに動かす事も
+出来るようです。:-)
+  この場合、まず texk/kpathsea/texmf.in の PKFONTS や TFMFONTS 等の
+指定を自分の環境に合わせて書き換えます。例えば、
+
+PKFONTS = .;/usr/local/lib/fonts/pk600;/usr/local/lib/fonts/pk300
+
+とします。それから configure をして、static リンクで make すれば、OK
+です。kpathsea 設定ファイルやライブラリ等がインストールされてなくても、
+ここに指定したディレクトリ(バイナリ埋め込みになる)を探します。他にも
+mf がないのなら、--without-mktexpk-default や --without-mktexmf-default
+なども指定しておいた方がいいかも知れません。
+
+
+[3] 著作権について
+
+  本パッチはかなり多くの方々の総合著作物です。パッチの著作権はそれぞれ
+のパッチ作成者にあります。詳しくは READMEs/ 以下のドキュメント群を参照して
+下さい。
+
+  本パッチの再配布は自由に行って構いませんが付属のドキュメント類 
+(READMEs/ 以下のファイル)はそのままの形で添付してください。また改変
+も自由に行って構いませんが、改変したものを配布する場合は、
+
+	xdvi-jp メーリングリスト <xdvi-jp@bi.appi.keio.ac.jp>
+
+まで連絡頂けると幸いです。バグ報告、提案、その他の連絡等も上記までお願い
+します。
+
+  また、開発に参加したい等、ML の subscribe 希望の方はまずは、guide と
+だけ書かれたメールを <xdvi-jp-ctl@bi.appi.keio.ac.jp> までお送り下さい。
+こちらは xdvi-jp ではなく xdvi-jp-ctl です。
+
+/* xdvi-jp メーリングリスト <xdvi-jp@bi.appi.keio.ac.jp> */
diff -udNr xdvik//READMEs/README.xdvik20c-j1.0+hal2+dvisel pxdvik//READMEs/README.xdvik20c-j1.0+hal2+dvisel
--- xdvik//READMEs/README.xdvik20c-j1.0+hal2+dvisel	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/README.xdvik20c-j1.0+hal2+dvisel	2010-07-25 14:56:37.614074299 +0900
@@ -0,0 +1,179 @@
+
+		<< xdvik20c+hal2+dvisel patch について >>
+
+				1999/03/04
+				渡辺 毅
+				watanabe@komadori.planet.sci.kobe-u.ac.jp
+
+○xdvik20c+hal2+dvisel patch とは
+
+  xdvik20c-j1.0p0e に対するバグフィックス/機能追加パッチです。
+
+
+○追加/変更点
+
+ 1) はやし@姫路工業大学さんの xdvi-17jp+toc+hal2 patch の一部をマージ
+
+  xdvi-17jp+toc+hal2 patch については READMEs/README.jp+toc+hal2 を
+御覧下さい。このパッチは基本的には xdvi-17jp に xdvi-21 から取ってきた
+変更点を加えるというもののため、ベースが xdvik-20c に移った今、その
+ほとんどが適応済みになっています。ここでは、まだ適応されてない以下の
+点をマージしました。
+
+   1.1) 固定倍率に移行する shrink ボタンをやめて、自在に拡大縮小ができる
+     ズームボタンを付けた。
+
+     jp+toc+hal2 patch ではソースをそのまま書き換えてましたが、選択可能な
+   ように #ifdef ZOOM_BUTTON に入れました。#undef にしておくと、オリジナル
+   のままです。Makefile.in には -DZOOM_BUTTON を入れておきましたので、必要
+   ない場合は消してから make して下さい。キーバインドは 'Z' (拡大ズーム)、
+   'z'(縮小ズーム) に割り当ててあります。
+
+   1.2) TOC 部のページ数表記で、ページ番号がバラバラな DVI ファイルだと
+     出力桁数がおかしくなる問題を解決。
+
+     巻末 Appendix だけページ番号が別に振ってある場合とかだと、こういう
+   問題が起こりそうですね。詳しくは README.jp+toc+hal2 を御覧下さい。
+
+
+ 2) PRINTDVI の改良(?)版 DVISEL (拙作未発表)
+
+  Print ボタンを押すと、xdvi 上からプリントアウトできるという機能は非常
+に便利な機能で、作者様には感謝感謝です。うちの研究室回りにも TeX のプリ
+ントアウト方法は、xdvi 上から行なうやりかたしか知らない者がごろごろい
+ます(苦笑)。まあ、それは別にいいんですが、この PRINTDVI 機能はちょっと
+うっとうしい点が少しあります(^^)。
+
+  * 制御コマンドが % だらけでややこしい。:-)
+     …PRINTDVI は初期バージョンから、% シーケンスがまた増えてます。この
+   まま、新機能が追加されるたびに、%w %v …と増やしていくとすれば、頭の
+   痛い話です。:-)
+
+  * dviselect が縦書きに対応していない
+     …これは PRINTDVI の問題ではなく、しかも対応させようと思えば、たぶん
+   十行ほどの追加で済むと思うので、既に誰かが対応させてるかも知れません
+   が…。
+
+  * 制御コマンドがバイナリ埋め込みなので柔軟性に欠ける
+     …これは特に FreeBSD や Linux などのパッケージを使う時に感じます。
+   もちろん、PRINTDVI 初期バージョンとは違って今はリソースでも変更は効き
+   ますが、バイナリパッケージを作る側から見ても、ユーザーが dvips, dvi2ps,
+   jdvi2kps のどれを使うかを一方的に決めて作らなければならないというのは
+   結構嫌ですよね?(^^;;)
+
+また、xdvi の特徴として次の点があります。
+
+  * xdvi は TeX の各ページが DVI ファイルの何バイト目から始まるのかを
+  配列として持ってるので、その配列を参照するだけで指定ページの DVI だけを
+  切り出すのはたやすくできる。
+
+という訳で、解決方法…。dviselect 機能は xdvi で内包させる!!
+
+
+  そもそも、% シーケンスがなぜこんなに多いのかといえば、dviselect に
+引数を渡すためです。dviselect を xdvi 内部で持てば、外部コマンドに引き
+渡すべき情報はほとんど無くなるので、% シーケンスはほとんど必要ありません。
+
+  次に、現在、print-out メニューで全ページ、カレントページ、最終マーク
+ページ、リージョン、マークリストのどれかを選べるので、そのそれぞれに印刷
+コマンドを設定していますが、dviselect 機能を xdvi で持てば、外部コマンド
+は選択された DVI を印刷するという一つだけで済む事になります。
+
+  ならば、無理して、dvips, dvi2ps, jdvi2kps のどれを使うかをバイナリ埋め
+込みなどにせずに、外部コマンドは一つのスクリプトを指定し、そのスクリプト
+内で、上記のどれかのコマンドを呼び出すようにすれば、かなりすっきりします。
+つまり、xdvi のバイナリには外部コマンド(スクリプト)一つを埋め込むだけで
+済み、そのマシンの環境がどういうものかは全て印刷スクリプト側で吸収できる
+のです。バイナリパッケージを使う場合でもスクリプトなら柔軟性に富んでます。
+
+  ここで、外部コマンド(スクリプト)にファイルで渡すとすれば、テンポラリー
+ファイル名などがまたややこしい問題になるので、UNIX らしくパイプで渡す事に
+しましょう。DVI がファイルである事を強要するプリンタドライバーを使う場合は、
+スクリプト側でテンポラリーファイルを作るとすれば、これで、テンポラリー
+ファイル名を xdvi 内部に埋め込む必要性も無くなりました。つまり、外部コマ
+ンドに渡すべき項目は、プリンタ名、紙のサイズの二つだけです。
+
+  という訳で、DVISEL を define すると、上記 dviselect 機能を内包し、外部
+スクリプト(デフォルトは /usr/local/bin/xdviprint。-xdviprint オプションや
+.xdviPrint リソースでも変更可)に切り出した DVI ファイルをパイプで渡すよう
+になります。プリンタ名と紙のサイズは引数で渡します。
+  スクリプト側は DVI ファイルを標準入力から読みとり印刷するスクリプトに
+します。dvips を使ったサンプルがインストールされますので、そのままでも
+使えるとは思いますが、好きに編集して下さい。:-)
+  DVISEL を define すると、% シーケンスのコマンド指定等はできなくなります。
+
+  なお、PRINTDVI では、landscape 等のオプションの違いを xdvipaper.dvips
+等の変換ファイルを使って、xdvi 内部で変換していました。これも、どのプリ
+ンタドライバーを使うかを xdvi 内部に埋め込まないという方針から、xdvi
+内部ではこの変換処理をしません。この処理はスクリプト側でするようにします。
+インストールされるサンプル・スクリプトではこの処理をしてますので、従来の
+PRINTDVI を使ってた時と同じ機能が実現できてるとは思いますが、スクリプトの
+この部分も好きに書き換えて使って下さい。:-)
+
+  補足ですが、DVISEL 機能は PRINTDVI ルーチンを全部置き換えたものではなく、
+そのほとんどは PRINTDVI のルーチンを使って実現しています。dviselect のソース
+は使わず一から書き足しました。
+
+  また、DVISEL 機能が出力する切り出した DVI と、dviselect コマンドが出力する
+DVI は同じではありません。違いは、dviselect ではフォント番号のリナンバー
+を行なってるのに、この DVISEL 機能はそれを行なってない点です。
+  DVI ファイルではフォント番号 0〜63番までは 1バイトでフォントチェンジが
+できるが、64番以上だとフォントチェンジに 2バイトかかるという仕様になって
+ます。従って、オリジナルの DVI ファイルではフォントを 65種類以上使って
+るが、指定印刷ページでは合計 64種類以下のフォントしか使われてない場合、
+dviselect では出力 DVI で使われてない欠番のフォント番号を埋めて全て
+1バイトのフォントチェンジにしてしまう事ができますが、この DVISEL 機能は
+オリジナルの DVI ファイルのフォント番号をそのまま使います。従って、
+dviselect の出力する DVI よりサイズが大きくなる可能性があります。
+
+  もっとも、私は 65種類以上ものフォントを使った TeX なんて見た事ないし、
+どうせ印刷する時に一時的に使ってすぐ消す DVI の出力で数バイトを節約して
+もしょうがないので、フォント番号のリナンバーは行なわない事にしました。:-)
+DVI ファイル中で使われてるフォント番号が飛び飛びなのは問題ありません。
+TeX 自体そういう DVI を吐きます。:-)
+
+
+ 3) その他 (拙作未発表)
+
+   3.1) SMALL_PANEL の数値の見直し
+
+     画面の小さいノートパソコン等で使う時には SMALL_PANEL 機能は便利です
+   が、小さくするあまりボタンとスクロールバーが重なったりしてて格好悪い
+   です。一般に SMALL_PANEL を使いたい人は画面の縦方向に余裕がないけど、
+   横方向にはまだ余裕があると思われます。また、縦方向に小さ過ぎる場合は
+   ウィンドーをリサイズすれば済みますが、横方向はリサイズしてもパネル部分
+   の大きさは変わらないので、横方向に小さ過ぎて見にくいのは直しにくいです。
+   という訳で、全体のバランスを見直してみました。
+
+   3.2) 「XDvi*international: True」なんて、設定をすると、TOC でマウス
+     真中ボタンを押した時に押した位置と違う位置がマークされてしまう。
+     また、SELFILE 時に文字化けしたり、表示がずれたりする。
+
+     こんな設定にしてる人はいないかも知れませんが(^^;;)、Athena Widget
+   で i18n にする時には XFontStruct を使ってる部分は全部書き換えなきゃ
+   …というやつです。:-)
+     一応、X11R4 以前を使ってる人を考えて(いるのか? ^^;;)、#ifdef 付きで
+   変更しておきました。:-)  テストはしてません。X11R4 なんて無い(笑)。
+
+   3.3) マニュアルのオプション説明部分に付いて
+
+     xdvi の man のオプション部分の説明はオプションのアルファベット順に
+   記述されてると思われるが、PRINTDVI で追加されたオプションは後ろに
+   追加されてて、アルファベット順になってないので、ソートし直した。:-)
+
+
+○覚書 (敢えて TODO とは書かない(笑))
+
+  * かつて色々あった xdvi-17 用パッチのうち、xdvik-20c 用パッチでまだ取り
+ 込まれてない機能としては、xdvi-17jp.960209 にあった、
+    5.  DVI ファイル中の文字列の検索機能。
+    6.  -remote オプションの追加。
+ が挙げられます。
+
+
+○最後に
+
+  著作権はそれぞれのパッチの作者にあります。詳しくは READMEs/ ディレク
+トリ以下のファイル群などを見て下さい。
+
+/* Takeshi WATANABE <watanabe@komadori.planet.sci.kobe-u.ac.jp> */
diff -udNr xdvik//ac/withenable.ac pxdvik//ac/withenable.ac
--- xdvik//ac/withenable.ac	2010-05-10 18:49:37.000000000 +0900
+++ pxdvik//ac/withenable.ac	2010-07-25 14:56:37.614074299 +0900
@@ -6,5 +6,5 @@
 dnl extra_dirs = texk/xdvik/squeeze
 dnl
 ## configure options and TL libraries required for xdvik
-KPSE_ENABLE_PROG([xdvik], [kpathsea t1lib], [x])
-m4_include(kpse_TL[texk/xdvik/ac/xdvik.ac])
+KPSE_ENABLE_PROG([pxdvik], [kpathsea t1lib freetype2 zlib], [x])
+m4_include(kpse_TL[texk/pxdvik/ac/xdvik.ac])
diff -udNr xdvik//c-auto.in pxdvik//c-auto.in
--- xdvik//c-auto.in	2009-11-23 23:20:21.000000000 +0900
+++ pxdvik//c-auto.in	2010-07-25 14:56:37.630073321 +0900
@@ -78,6 +78,9 @@
 /* Define to 1 if you have the <float.h> header file. */
 #undef HAVE_FLOAT_H
 
+/* Using fontconfig */
+#undef HAVE_FONTCONFIG
+
 /* Define to 1 if you have the `fork' function. */
 #undef HAVE_FORK
 
@@ -356,6 +359,9 @@
 /* Define to the version of this package. */
 #undef PACKAGE_VERSION
 
+/* Enabled Japanese pTeX support. */
+#undef PTEX
+
 /* Define as the return type of signal handlers (`int' or `void'). */
 #undef RETSIGTYPE
 
